<!DOCTYPE html>
<html>
<meta charset="UTF-8">
<meta name="viewport" content="width=device-width, initial-scale=1.0">
<meta http-equiv="X-UA-Compatible" content="ie=edge">
<link rel="stylesheet" href="bootstrap.min.css">
<link rel="stylesheet" href="angular-csp.css">
<link rel="stylesheet" href="style.css">

<head>
  <title>Water Popup</title>
  <style>
  </style>
</head>

<body ng-app="app" ng-controller="ctrl" ng-csp>
  <div class="container form-group">
    <div class="row">
      <div class="col-xs-12 addr-label" ng-hide="editable">
        <b ng-show="address.length && !editable">Wallet: </b>
        <span class="addr-label" ng-click="editWallet()" ng-disabled="inWatching">{{address || 'Enter wallet adress'}}</span>
      </div>
      <div class="col-xs-10" ng-show="editable">
        <input class="form-control" placeholder="wallet address: " type="text" ng-model="address"
          ng-disabled="inWatching" />
      </div>
      <div class="col-xs-2 col-think" ng-show="editable">
        <button class="btn" ng-click="save()">Save</button>
      </div>
    </div>
    <hr>
    <button class="btn btn-block block-item btn-success" ng-click="startAlarm()" ng-disabled="inWatching">{{inWatching ? 'Watching...' : 'Start watching'}}</button>
    <button class="btn btn-block block-item btn-danger" ng-click="cancelAlarm()" ng-disabled="!inWatching">Stop watching</button>

    <div class="row">
      <div class="col-xs-12">
        <hr>
        <table ng-if="workers.length" class="table table-striped table-bordered">
          <thead>
            <tr class="info">
              <th>Worker name</th>
              <th>Acceptetd speed</th>
              <th>Time connected</th>
            </tr>
          </thead>
          <tbody>
            <tr ng-repeat="worker in workers">
              <td>{{worker[0]}}</td>
              <td>{{worker[1].a}}</td>
              <td>{{worker[2]}}</td>
            </tr>
          </tbody>
        </table>
        <p class="warning bg-danger" ng-if="!workers.length && address.length && !editable">There is no active workers now</p>
        <p class="warning bg-danger" ng-if="!address.length">Enter wallet address, please</p>
        <p class="warning bg-danger" ng-if="!address.length && editable">Please save address to chech mining status</p>
      </div>
    </div>

  </div>


  <script src="angular.min.js"></script>
  <script src="script.js"></script>
</body>

</html>